OGRE-Next: Ogre::v1::D3D11HardwareBufferManagerBase Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::v1::D3D11HardwareBufferManagerBase Class Referencefinal

Implementation of HardwareBufferManager for D3D11. More...

`#include <OgreD3D11HardwareBufferManager.h>`

Inheritance diagram for Ogre::v1::D3D11HardwareBufferManagerBase:
[legend]

## Public Member Functions
| D3D11HardwareBufferManagerBase (D3D11Device &device)
| ~D3D11HardwareBufferManagerBase ()
HardwareIndexBufferSharedPtr | createIndexBuffer (HardwareIndexBuffer::IndexType itype, size_t numIndexes, HardwareBuffer::Usage usage, bool useShadowBuffer=false) override
| Create a hardware vertex buffer.
HardwareVertexBufferSharedPtr | createStreamOutputVertexBuffer (size_t vertexSize, size_t numVerts, HardwareBuffer::Usage usage, bool useShadowBuffer=false)
| Creates a stream output vertex buffer.
HardwareVertexBufferSharedPtr | createVertexBuffer (size_t vertexSize, size_t numVerts, HardwareBuffer::Usage usage, bool useShadowBuffer=false) override
| Creates a vertex buffer.
Public Member Functions inherited from Ogre::v1::HardwareBufferManagerBase
| HardwareBufferManagerBase ()
virtual | ~HardwareBufferManagerBase ()
virtual void | _forceReleaseBufferCopies (const HardwareVertexBufferSharedPtr &sourceBuffer)
| Internal method that forces the release of copies of a given buffer.
virtual void | _forceReleaseBufferCopies (HardwareVertexBuffer *sourceBuffer)
| Internal method that forces the release of copies of a given buffer.
virtual void | _freeUnusedBufferCopies ()
| Free all unused vertex buffer copies.
void | _notifyIndexBufferDestroyed (HardwareIndexBuffer *buf)
| Notification that a hardware index buffer has been destroyed.
void | _notifyVertexBufferDestroyed (HardwareVertexBuffer *buf)
| Notification that a hardware vertex buffer has been destroyed.
virtual void | _releaseBufferCopies (bool forceFreeUnused=false)
| Internal method for releasing all temporary buffers which have been allocated using BLT_AUTOMATIC_RELEASE; is called by OGRE.
virtual HardwareVertexBufferSharedPtr | allocateVertexBufferCopy (const HardwareVertexBufferSharedPtr &sourceBuffer, BufferLicenseType licenseType, HardwareBufferLicensee *licensee, bool copyData=false)
| Allocates a copy of a given vertex buffer.
virtual VertexBufferBinding * | createVertexBufferBinding ()
| Creates a new VertexBufferBinding.
virtual VertexDeclaration * | createVertexDeclaration ()
| Creates a new vertex declaration.
virtual void | destroyVertexBufferBinding (VertexBufferBinding *binding)
| Destroys a VertexBufferBinding.
virtual void | destroyVertexDeclaration (VertexDeclaration *decl)
| Destroys a vertex declaration.
virtual void | registerVertexBufferSourceAndCopy (const HardwareVertexBufferSharedPtr &sourceBuffer, const HardwareVertexBufferSharedPtr &copy)
| Registers a vertex buffer as a copy of another.
virtual void | releaseVertexBufferCopy (const HardwareVertexBufferSharedPtr &bufferCopy)
| Manually release a vertex buffer copy for others to subsequently use.
virtual void | touchVertexBufferCopy (const HardwareVertexBufferSharedPtr &bufferCopy)
| Tell engine that the vertex buffer copy intent to reuse.

## Additional Inherited Members
Public Types inherited from Ogre::v1::HardwareBufferManagerBase
enum | BufferLicenseType { BLT_MANUAL_RELEASE , BLT_AUTOMATIC_RELEASE }

## Detailed Description

Implementation of HardwareBufferManager for D3D11.

## Constructor & Destructor Documentation

## ◆ D3D11HardwareBufferManagerBase()

Ogre::v1::D3D11HardwareBufferManagerBase::D3D11HardwareBufferManagerBase | ( | D3D11Device & | device | ) |

## ◆ ~D3D11HardwareBufferManagerBase()

Ogre::v1::D3D11HardwareBufferManagerBase::~D3D11HardwareBufferManagerBase | ( |  | ) |

## Member Function Documentation

## ◆ createIndexBuffer()

HardwareIndexBufferSharedPtr Ogre::v1::D3D11HardwareBufferManagerBase::createIndexBuffer | ( | HardwareIndexBuffer::IndexType | itype,
|  | size_t | numIndexes,
|  | HardwareBuffer::Usage | usage,
|  | bool | useShadowBuffer = false )
| overridevirtual

Create a hardware vertex buffer.

Implements Ogre::v1::HardwareBufferManagerBase.

References Ogre::v1::HardwareBufferManagerBase::HardwareIndexBufferSharedPtr.

## ◆ createStreamOutputVertexBuffer()

HardwareVertexBufferSharedPtr Ogre::v1::D3D11HardwareBufferManagerBase::createStreamOutputVertexBuffer | ( | size_t | vertexSize,
|  | size_t | numVerts,
|  | HardwareBuffer::Usage | usage,
|  | bool | useShadowBuffer = false )

Creates a stream output vertex buffer.

References Ogre::v1::HardwareBufferManagerBase::HardwareVertexBufferSharedPtr.

## ◆ createVertexBuffer()

HardwareVertexBufferSharedPtr Ogre::v1::D3D11HardwareBufferManagerBase::createVertexBuffer | ( | size_t | vertexSize,
|  | size_t | numVerts,
|  | HardwareBuffer::Usage | usage,
|  | bool | useShadowBuffer = false )
| overridevirtual

Creates a vertex buffer.

Implements Ogre::v1::HardwareBufferManagerBase.

References Ogre::v1::HardwareBufferManagerBase::HardwareVertexBufferSharedPtr.

The documentation for this class was generated from the following file:

- OgreD3D11HardwareBufferManager.h